Name:           couchdb-glib
Version:        0.6.90
Release:        1%{?dist}
Summary:        A glib api to access CouchDB servers

Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://www.gnome.org/
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/%{name}/0.5/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: dbus-glib-devel
BuildRequires: gnome-keyring-devel
# BuildRequires: gobject-introspection-devel
BuildRequires: json-glib-devel
BuildRequires: libuuid-devel
BuildRequires: libsoup-devel
BuildRequires: openssl-devel
BuildRequires: gettext

%description
CouchDB-GLib is a GLib-based API to access CouchDB servers
(http://couchdb.apache.org), a replication/synchronization 
schema-free database of JSON documents, used in online services 
like Midgard.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%prep
%setup -q

%build
%configure --disable-static
# Remove rpath as per https://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Remove docs we install elsewhere
rm -rf %{buildroot}/%{_datadir}/doc
%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc LICENSE README NEWS
%{_libdir}/*.so.*
# %{_libdir}/girepository-1.0/Couchdb-1.0.typelib
# %{_libdir}/girepository-1.0/Desktopcouch-1.0.typelib

%files devel
%defattr(-,root,root,-)
%{_includedir}/couchdb-glib-1.0/
%{_includedir}/desktopcouch-glib-1.0/
%{_libdir}/pkgconfig/couchdb-glib-1.0.pc
%{_libdir}/pkgconfig/desktopcouch-glib-1.0.pc
%{_libdir}/*.so
%{_datadir}/gtk-doc/html/couchdb-glib/
# %{_datadir}/gir-1.0/Couchdb-1.0.gir
# %{_datadir}/gir-1.0/Desktopcouch-1.0.gir

%changelog
* Wed May  5 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.90-1
- New upstream 0.6.90 release

* Thu Mar 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.2-1
- New upstream 0.6.2 release

* Wed Mar  3 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.1-1
- New upstream 0.6.1 release

* Fri Nov 20 2009 Peter Robinson <pbrobinson@gmail.com> 0.5.3-1
- Update to 0.5.3 release

* Tue Oct 13 2009 Peter Robinson <pbrobinson@gmail.com> 0.5.2-1
- Update to 0.5.2 release

* Wed Oct  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.5.1-1
- Update to 0.5.1 release

* Mon Oct  5 2009 Peter Robinson <pbrobinson@gmail.com> 0.5.0-1
- Initial packaging
